package maratonacps2020;

import java.io.BufferedReader;
import java.io.InputStreamReader;

/**
 * @author Prof. Henrique Louro
 */
public class Moeda {

    public static void main(String[] args) {

        String linha = "";

        BufferedReader entrada;

        try {

            entrada = new BufferedReader(new InputStreamReader(System.in));

            while ((linha = entrada.readLine()) != null) {

                int n = Integer.parseInt(linha);
                int n50, n10, n5;
                int valor;

                for (int x = 0; x < n; x++) {
                    linha = entrada.readLine();
                    valor = Integer.parseInt(linha);
                    n50 = 0;
                    if (valor > 50) {
                        n50 = (int) valor / 50;
                        valor -= n50 * 50;
                    }

                    n10 = 0;
                    if (valor > 10) {
                        n10 = (int) valor / 10;
                        valor -= n10 * 10;
                    }

                    n5 = 0;
                    if (valor > 5) {
                        n5 = (int) valor / 5;
                        valor -= n5 * 5;
                    }

                    System.out.println("Caso de Teste " + (x+1) + ": " + n50 + " " + n10 + " " + n5 + " " + valor);
                }

                System.exit(0);

            }

        } catch (Exception e) {
            System.out.println("Ocorreu um erro durante a leitura!\n" + e);
        }
    }
}
